// Code generated by mockery v2.23.1. DO NOT EDIT.

package git

import mock "github.com/stretchr/testify/mock"

// MockGit is an autogenerated mock type for the Git type
type MockGit struct {
	mock.Mock
}

// Describe provides a mock function with given fields: opts
func (_m *MockGit) Describe(opts *DescribeOpts) (string, error) {
	ret := _m.Called(opts)

	var r0 string
	var r1 error
	if rf, ok := ret.Get(0).(func(*DescribeOpts) (string, error)); ok {
		return rf(opts)
	}
	if rf, ok := ret.Get(0).(func(*DescribeOpts) string); ok {
		r0 = rf(opts)
	} else {
		r0 = ret.Get(0).(string)
	}

	if rf, ok := ret.Get(1).(func(*DescribeOpts) error); ok {
		r1 = rf(opts)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Log provides a mock function with given fields: query, opts
func (_m *MockGit) Log(query string, opts *LogOpts) ([]byte, error) {
	ret := _m.Called(query, opts)

	var r0 []byte
	var r1 error
	if rf, ok := ret.Get(0).(func(string, *LogOpts) ([]byte, error)); ok {
		return rf(query, opts)
	}
	if rf, ok := ret.Get(0).(func(string, *LogOpts) []byte); ok {
		r0 = rf(query, opts)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]byte)
		}
	}

	if rf, ok := ret.Get(1).(func(string, *LogOpts) error); ok {
		r1 = rf(query, opts)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

type mockConstructorTestingTNewMockGit interface {
	mock.TestingT
	Cleanup(func())
}

// NewMockGit creates a new instance of MockGit. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewMockGit(t mockConstructorTestingTNewMockGit) *MockGit {
	mock := &MockGit{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
